#
# spec file for package azure-cli-core
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1600
%define pythons %{primary_python}
%else
%define pythons python311
%endif
%global _sitelibdir %{%{pythons}_sitelib}

Name:           azure-cli-core
Version:        2.73.0
Release:        1.1
Summary:        Microsoft Azure CLI Core Module
License:        MIT
Group:          System/Management
URL:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-core/azure_cli_core-%{version}.tar.gz
Patch0:         acc_disable-update-check.patch
BuildRequires:  %{pythons}-azure-nspkg >= 3.0.0
BuildRequires:  %{pythons}-pip
BuildRequires:  %{pythons}-setuptools
BuildRequires:  %{pythons}-wheel
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       %{pythons}-PyJWT >= 2.1.0
Requires:       %{pythons}-argcomplete < 4.0
Requires:       %{pythons}-argcomplete >= 3.5.2
Requires:       %{pythons}-azure-mgmt-core < 2.0.0
Requires:       %{pythons}-azure-mgmt-core >= 1.2.0
Requires:       %{pythons}-azure-nspkg >= 3.0.0
Requires:       %{pythons}-cryptography
Requires:       %{pythons}-humanfriendly < 11.0
Requires:       %{pythons}-humanfriendly >= 10.0
Requires:       %{pythons}-jmespath
Requires:       %{pythons}-knack < 1.0.0
Requires:       %{pythons}-knack >= 0.11.0
Requires:       %{pythons}-microsoft-security-utilities-secret-masker >= 1.0.0~b4
Requires:       %{pythons}-msal < 2.0.0
Requires:       %{pythons}-msal >= 1.32.3
Requires:       %{pythons}-msal-extensions < 2.0.0
Requires:       %{pythons}-msal-extensions >= 1.2.0
Requires:       %{pythons}-msrestazure < 0.7.0
Requires:       %{pythons}-msrestazure >= 0.6.4
Requires:       %{pythons}-packaging >= 20.9
Requires:       %{pythons}-pip
Requires:       %{pythons}-pkginfo >= 1.5.0.1
Requires:       %{pythons}-psutil >= 5.9
Requires:       %{pythons}-py-deviceid
Requires:       %{pythons}-pyOpenSSL >= 17.1.0
Requires:       %{pythons}-requests < 3.0.0
Requires:       %{pythons}-requests >= 2.25.1
Requires:       %{pythons}-wheel >= 0.30.0
Requires:       azure-cli-telemetry >= 1.1.0
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI Core Module

%prep
%autosetup -p1 -n azure_cli_core-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%fdupes %{buildroot}%{_sitelibdir}

%files
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%dir %{_sitelibdir}/azure/cli
%{_sitelibdir}/azure/cli/core
%{_sitelibdir}/azure_cli_core-*.dist-info

%changelog
* Wed Jun  4 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.73.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue May  6 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.72.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Apr  1 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.71.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Mar 12 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.70.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Feb 13 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.69.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Jan 14 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.68.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Nov 25 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.67.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Nov 11 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.66.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Oct  8 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.65.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Sep  4 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.64.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Aug  7 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.63.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop extra LICENSE.txt as upstream now ships its own
- Drop patches for issues fixed upstream
  + acc_update-psutil.patch
- Update Requires from setup.py
* Fri Jul 19 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add patch to update python-psutil dependency
  + acc_update-psutil.patch
- Update Requires from setup.py
* Tue Jul  9 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.62.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed May 22 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.61.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add azure-cli namespace directory in %%files section
- Remove deletion of azure-cli namespace files
- Update Requires from setup.py
* Mon May  6 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.60.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Adjust upstream source name in spec file
- Update Requires from setup.py
* Tue Apr  9 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.59.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Apr  4 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Switch package to modern Python Stack on SLE-15
  + Use Python 3.11 on SLE-15 by default
  + Use primary Python version on Tumbleweed
  + Drop support for older Python versions
- Switch build system from setuptools to pyproject.toml
  + Add python-pip and python-wheel to BuildRequires
  + Replace %%python_build with %%pyproject_wheel
  + Replace %%python_install with %%pyproject_install
  + Update name for dist directory in %%files section
* Wed Mar  6 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.58.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Wed Feb  7 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.57.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jan 18 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.56.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Jan  3 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.55.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Nov 15 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.54.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Oct 30 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.53.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Oct  4 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.53.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Sep  7 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.52.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Aug 14 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.51.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul  6 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.50.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches for issues fixed upstream
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Wed May 24 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.49.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to update argcomplete dependency (bsc#1206869)
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Wed May  3 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.48.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Apr  4 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.47.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Mar  7 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1199592)
  + Version 2.46.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Feb  9 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.45.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Jan 18 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.44.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jan 10 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.44.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches for issues fixed upstream
  + acc_update-argcomplete.patch
- Relax version dependency for python-packaging
  in BuildRequires (bsc#1206869)
* Tue Dec  6 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.43.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Nov  1 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.42.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Oct 13 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.41.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Sep 16 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.40.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Refresh patches for new version
  + acc_disable-update-check.patch
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Mon Aug  8 2022 Dirk Müller <dmueller@suse.com>
- refresh previously empty acc_update-argcomplete.patch
* Thu Aug  4 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.39.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul 21 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add patch to update argcomplete dependency
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Tue Jul  5 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.38.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue May 24 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.37.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Apr 26 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.36.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Apr 12 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.35.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Mar  7 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.34.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Feb 23 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.33.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Feb 11 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.33.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Jan 10 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.32.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Dec  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.31.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Remove bogus python-PyYAML dependency from Requires (bsc#1193394)
- Update Requires from setup.py
* Mon Nov  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.30.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Oct 15 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.29.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Sep 10 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.28.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Aug 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.27.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Aug  6 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.27.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jul 13 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.26.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul  1 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1187881)
  + Version 2.25.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Jun  9 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.24.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon May 10 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.23.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Mar 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.21.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jan 21 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.18.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Rework patch to disable automatic check for updates to
  fix a crash when calling "az --version" (bsc#1180930)
  + acc_disable-update-check.patch
- Update Requires from setup.py
* Fri Jan  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.17.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Dec 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.16.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Refresh patches for new version
  + acc_disable-update-check.patch
- Update Requires from setup.py
  + Temporarily use a vendored copy of azure-mgmt-resource
* Wed Nov 18 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.15.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Nov 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.14.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Oct 13 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.13.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Override upstream version in Requires for python-azure-mgmt-resource
* Wed Sep 30 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.12.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to disable automatic check for updates (boo#1175289)
  + acc_disable-update-check.patch
* Tue Sep 22 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1176784, bsc#1176785)
  + Version 2.12.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Aug 31 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.11.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Aug 18 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (boo#1175289)
  + Version 2.10.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Jul 20 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.9.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Jun 17 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.7.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu May  7 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.5.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Apr  2 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.3.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update BuildRequires and Requires from setup.py
* Tue Mar 10 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.2.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Feb 24 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.1.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Relax version dependency for python-humanfriendly in Requires
- Update Requires from setup.py
* Thu Jan 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.80
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jan  7 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.79
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Jan  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.78
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Nov 28 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.77
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Oct 24 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.75
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patch to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + acc_drop-compatible-releases-operator.patch
- Drop patch to relax version requires in setup.py, it's
  not required as the dependencies are managed by RPM
  + acc_relax-requires-versions.patch
- Update Requires from setup.py
* Tue Jun  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add missing python-rpm-macros package to BuildRequires
- Remove unneccesary %%python_expand prefix from %%fdupes call
* Tue May 21 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.64
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + acc_drop-compatible-releases-operator.patch
- Refresh patches for new version
  + acc_relax-requires-versions.patch
- Update Requires from setup.py
* Tue Apr 16 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.58
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Bump minimum version for Python Azure SDK namespace
  packages to 3.0.0 in BuildRequires and Requires
- Relax upper version for python-tabulate build dependency (boo#1125671)
  + Cherry-pick fix from upstream to patch setup.py
  * acc_relax-requires-versions.patch
  + Remove upper version constraint in BuildRequires for python-tabulate
- Remove python3-devel package from BuildRequires
- Remove unzip package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Update Requires from setup.py
* Sun Mar  3 2019 Robert Schweikert <rjschwei@suse.com>
- Relax version requirement of tabluate, accept up to next minor version
* Mon Oct  1 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.45
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed May  2 2018 adrian.glaubitz@suse.com
- Fix typo in Requires:
  + python3-PyOpenSSL => python3-pyOpenSSL
* Mon Apr 23 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 2.0.31
- Move LICENSE.txt from %%doc to %%license section
- Update Requires from setup.py
* Thu Feb  8 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 2.0.26
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
- Update Requires from setup.py
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.17
